KUBERNETES(1)

NAME

kubeadm alpha selfhosting pivot - Converts a static Pod-hosted control plane into a self-hosted one

SYNOPSIS

kubeadm alpha selfhosting pivot [OPTIONS]

DESCRIPTION

Converts static Pod files for control plane components into self-hosted DaemonSets configured via the Kubernetes API.

See the documentation for self-hosting limitations.

Alpha Disclaimer: this command is currently alpha.

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path where certificates are stored

--config=""
    Path to a kubeadm configuration file.

-f, --force=false
    Pivot the cluster without prompting for confirmation

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

-s, --store-certs-in-secrets=false
    Enable storing certs in secrets

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Converts a static Pod-hosted control plane into a self-hosted one.

      kubeadm alpha phase self-hosting convert-from-staticpods

SEE ALSO

kubeadm-alpha-selfhosting(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!